﻿#include <iostream>
#include <vector>
#include <algorithm>
#include <string>
#include <set>
#include <unordered_set>
#include <assert.h>
#include <bitset>

using namespace std;

#define int long long

const int INF = 1e9;

string ToBaseX(int a, int x) {
	string res;
	while (a / x > 0) {
		res.push_back((a % x) + '0');
		a /= x;
	}
	res += to_string(a);
	reverse(res.begin(), res.end());
	return res;
}


void solve() {
	int n;
	cin >> n;
	vector<int> a(n);
	int sum = 0;
	bitset<2000001> b(0);
	for (int i = 0; i < n; ++i) {
		cin >> a[i];
		sum += a[i];
	}
	b[0] = 1;
	for (int i = 0; i < n; ++i) {
		b |= (b << a[i]);
	}
	for (int i = 2; i <= 2000000; i += 2) {
		if (!b[i]) {
			cout << i;
			return;
		}
	}
	cout << sum + 2;
}

signed main() {
	int t = 1;
	// cin >> t;
	while (t--) {
		solve();
	}
}
