﻿#include <iostream>
#include <vector>
#include <algorithm>
#include <string>

using namespace std;

string ToBaseX(int a, int x) {
	string res;
	while (a / x > 0) {
		res.push_back((a % x) + '0');
		a /= x;
	}
	res += to_string(a);
	reverse(res.begin(), res.end());
	return res;
}

struct Uved {
	int min, sym;
	char who;
	bool check = false;
	Uved() = default;
};

void solve() {
	int k, m;
	cin >> k >> m;
	double l, p;
	cin >> l >> p;
	int n;
	cin >> n;
	vector<Uved> a(n);
	for (int i = 0; i < n; ++i) {
		cin >> a[i].min >> a[i].who >> a[i].sym;
	}
	sort(a.begin(), a.end(), [](Uved &l, Uved &r) {return (l.min < r.min) || (l.min == r.min && l.who > r.who); });
	double curspeed = k;
	int curmin = 0;
	vector<pair<int, double>> write;
	for (int i = 0; i < n; ++i) {
		if (a[i].check) {
			continue;
		}
		write.emplace_back(a[i].min - curmin, curspeed);
		curmin = a[i].min;
		int after = curmin;
		after++;
		if (a[i].who == 'D') {
			after += (a[i].sym + m - 1) / m;
			after++;
			a[i].check = true;
			for (int j = 0; j < n; ++j) {
				if (!a[j].check && a[j].min <= after) {
					if (a[j].who == 'D') {
						after += (a[j].sym + m - 1) / m;
						after++;
					}
					else {
						after++;
					}
					a[j].check = true;
				}
			}
		}
		int spent = after - curmin;
		if (spent > 10) {
			curspeed /= l;
			curspeed = max(curspeed, 1.0);
		}
		curmin = after;
	}
	write.emplace_back(480 - curmin + 1, curspeed);
	vector<pair<int, double>> res;
	double nspeed = k;
	for (int i = 0; i < (int)write.size(); ++i) {
		int pass = write[i].first / 60;
		if (pass > 0) {
			res.emplace_back(60, nspeed);
		}
		for (int j = 0; j < pass - 1; ++j) {
			nspeed *= p;
			nspeed = min<double>(nspeed, k);
			res.emplace_back(60, nspeed);
		}
		if (pass > 0) {
			res.emplace_back(write[i].first % 60, nspeed);
		}
		if (i && write[i].second < write[i - 1].second) {
			nspeed /= l;
			nspeed = max(nspeed, 1.0);
		}
		if (pass == 0) {
			res.emplace_back(write[i].first, nspeed);
		}
	}
	cout << (int)res.back().second << ' ';
	double lines = 0;
	for (auto el : res) {
		lines += el.first * el.second;
	}
	cout << (int)lines;
}

signed main() {
	int t = 1;
	// cin >> t;
	while (t--) {
		solve();
	}
}
